#### Linux From Scratch - Version 12.3-systemd

### Chapter 8. Installing Basic System Software

- Prev

  Ninja-1.12.1

- Next

  Kmod-34

- Up
- Home

# 8.56. Meson-1.7.0

Meson is an open source build system designed to be both extremely fast and as user friendly as possible.

Approximate build time: less than 0.1 SBU
Required disk space: 44 MB

## 8.56.1. Installation of Meson

Compile Meson with the following command:

    pip3 wheel -w dist --no-cache-dir --no-build-isolation --no-deps $PWD

The test suite requires some packages outside the scope of LFS.

Install the package:

    pip3 install --no-index --find-links dist meson
    install -vDm644 data/shell-completions/bash/meson /usr/share/bash-completion/completions/meson
    install -vDm644 data/shell-completions/zsh/_meson /usr/share/zsh/site-functions/_meson

The meaning of the install parameters:

`-w dist`

  Puts the created wheels into the `dist` directory.

`--find-links dist`

  Installs wheels from the `dist` directory.

## 8.56.2. Contents of Meson

Installed programs: meson
Installed directory: /usr/lib/python3.13/site-packages/meson-1.7.0.dist-info and /usr/lib/python3.13/site-packages/mesonbuild

### Short Descriptions

meson | A high productivity build system

- Prev

  Ninja-1.12.1

- Next

  Kmod-34

- Up
- Home